NX Open C++ Reference Guide
|
Represents a Facet::SewFacetBodyBuilder It sews two touching NX facet bodies. More...
Public Types | |
enum | Input { InputKeep, InputDelete, InputHide } |
Represents the option for keeping, deleting or hiding input two facet bodies after builder committing. More... | |
Public Member Functions | |
NXOpen::Facet::SelectFacetedBody * | DeformBody () |
Returns the deform body to be sewed Created in NX9.0.0. | |
NXOpen::Expression * | DeformDistance () |
Returns the distance to control the deform area on the deform body Created in NX9.0.0. | |
void | FlipRange () |
Flip the range between the first and second vertex Created in NX9.0.0. | |
NXOpen::Facet::SewFacetBodyBuilder::Input | InputStatus () |
Returns the option to specify how to deal with the input two facet bodies: keep, delete or hide Created in NX9.0.0. | |
void | SetInputStatus (NXOpen::Facet::SewFacetBodyBuilder::Input inputStatus) |
Sets the option to specify how to deal with the input two facet bodies: keep, delete or hide Created in NX9.0.0. | |
void | SetVertex1 (NXOpen::Point *vertexPoint1) |
Sets the first vertex used to define the range Created in NX9.0.0. | |
void | SetVertex2 (NXOpen::Point *vertexPoint2) |
Sets the second vertex used to define the range Created in NX9.0.0. | |
NXOpen::Facet::SelectFacetedBody * | TargetBody () |
Returns the target body to be sewed Created in NX9.0.0. | |
NXOpen::Point * | Vertex1 () |
Returns the first vertex used to define the range Created in NX9.0.0. | |
NXOpen::Point * | Vertex2 () |
Returns the second vertex used to define the range Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Facet::SewFacetBodyBuilder It sews two touching NX facet bodies.
User need to specify the range on one of input body. The range on the other body is calculated automatically by choosing the closest vertex. It retruns a new mergered NX facet body. The two input bodies can be kept, deleted or hidden.
To create a new instance of this class, use Facet::FacetedBodyCollection::CreateSewFacetBodyBuilder
Default values.
Property | Value |
---|---|
DeformDistance.Value |
0.5 (millimeters part), 0.05 (inches part) |
InputStatus |
Keep |
Created in NX9.0.0.
Represents the option for keeping, deleting or hiding input two facet bodies after builder committing.
NXOpen::Facet::SelectFacetedBody* NXOpen::Facet::SewFacetBodyBuilder::DeformBody | ( | ) |
Returns the deform body to be sewed
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Facet::SewFacetBodyBuilder::DeformDistance | ( | ) |
Returns the distance to control the deform area on the deform body
Created in NX9.0.0.
License requirements : None
void NXOpen::Facet::SewFacetBodyBuilder::FlipRange | ( | ) |
Flip the range between the first and second vertex
Created in NX9.0.0.
License requirements : None
NXOpen::Facet::SewFacetBodyBuilder::Input NXOpen::Facet::SewFacetBodyBuilder::InputStatus | ( | ) |
Returns the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0.
License requirements : None
void NXOpen::Facet::SewFacetBodyBuilder::SetInputStatus | ( | NXOpen::Facet::SewFacetBodyBuilder::Input | inputStatus | ) |
Sets the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")
inputStatus | inputstatus |
void NXOpen::Facet::SewFacetBodyBuilder::SetVertex1 | ( | NXOpen::Point * | vertexPoint1 | ) |
Sets the first vertex used to define the range
Created in NX9.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")
vertexPoint1 | vertexpoint1 |
void NXOpen::Facet::SewFacetBodyBuilder::SetVertex2 | ( | NXOpen::Point * | vertexPoint2 | ) |
Sets the second vertex used to define the range
Created in NX9.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")
vertexPoint2 | vertexpoint2 |
NXOpen::Facet::SelectFacetedBody* NXOpen::Facet::SewFacetBodyBuilder::TargetBody | ( | ) |
Returns the target body to be sewed
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Facet::SewFacetBodyBuilder::Vertex1 | ( | ) |
Returns the first vertex used to define the range
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Facet::SewFacetBodyBuilder::Vertex2 | ( | ) |
Returns the second vertex used to define the range
Created in NX9.0.0.
License requirements : None